Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# `incus config device`

Manage devices

## Synopsis

Description: Manage devices

    incus config device [flags]

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus config - Manage instance and server configuration options

- incus config device add - Add instance devices

- incus config device get - Get values for device configuration keys

- incus config device list - List instance devices

- incus config device override - Copy profile inherited devices and override configuration keys

- incus config device remove - Remove instance devices

- incus config device set - Set device configuration keys

- incus config device show - Show full device configuration

- incus config device unset - Unset device configuration keys